Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
FReleaser Struct Reference

Release an interface using automatic object (obsolete). More...

`#include <funknown.h>`

## Public Member Functions
| FReleaser (FUnknown *u)
| ~FReleaser ()

## Public Attributes
FUnknown * | u

## Detailed Description

Release an interface using automatic object (obsolete).

This class is obsolete and is only kept for compatibility. The replacement for FReleaser is OPtr.

Usage example with FReleaser:

void someFunction ()
{
IPath* path = pathCreateMethod ();
FReleaser releaser (path);
.... do something with path...
.... path not used anymore, releaser will destroy it when leaving function scope
}
Steinberg::FReleaser::FReleaser
FReleaser(FUnknown *u)
Definition funknown.h:550

Usage example with OPtr:

void someFunction ()
{
OPtr<IPath> path = pathCreateMethod ();
.... do something with path...
.... path not used anymore, OPtr will destroy it when leaving function scope
}
Steinberg::OPtr
OPtr - "owning" smart pointer used for newly created FObjects.
Definition smartpointer.h:210

## Constructor & Destructor Documentation

## ◆ FReleaser()

FReleaser | ( | FUnknown * | u | ) |
| inline

## ◆ ~FReleaser()

~FReleaser | ( |  | ) |
| inline

## Member Data Documentation

## ◆ u

FUnknown* u

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.